Bug 7802 - (int-153698) Media Player Streaming: Elapsed time advances by 1sec when playback is paused and reduced by 1sec when the playback is resumed.
(int-153698)
: Media Player Streaming: Elapsed time advances by 1sec when playback is paused...
Status: RESOLVED FIXED
Product: Media player
General
: 5.0/(2.2009.51-1)
: N900 Maemo
: Low normal with 1 vote (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: media-player-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-11 13:13 UTC by Harish Koka
Modified: 2010-04-12 15:24 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Harish Koka (reporter) 2010-01-11 13:13:28 UTC
SOFTWARE VERSION:
1.2009.42-11.002 

Device is connected to WLAN with internet connection.

EXACT STEPS LEADING TO PROBLEM: 
1. Launch browser and enter the URL and mp3 streaming link e.g.
   http://streaming.kandio.com/van.mp3 (128kbps mp3 file)  
   (Alternatively one can also add the link to Internet Radio bookmark)
2. Select Open with Media Player in File Download window.
3. While the stream is playing Tap on Pause button and pause the playback.    
Observe the elapsed time.
4. Now tap on Play button in Media Player to resume playback. Observe the
elapsed time.

EXPECTED OUTCOME:
The elapsed time should be updated correctly.

ACTUAL OUTCOME:
The elapsed time after step3 advances by 1sec.
The elapsed time after step4 reduces by 1sec.

If the correct elapsed time is 14sec.
After step3, it shows 15sec
After step4, it starts from 14sec.


REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
No

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.20)
Gecko/20081217 Firefox/2.0.0.20 (.NET CLR 3.5.30729)
Comment 1 Andre Klapper maemo.org 2010-01-18 16:36:01 UTC
Hi, is this still an issue in 2.2009.51-1?
Comment 2 Harish Koka (reporter) 2010-01-18 18:34:52 UTC
Andre,

Tested with version 2.2009.51-1, the bug is still reproducible.
Comment 3 Andre Klapper maemo.org 2010-01-19 21:14:55 UTC
Thanks for retesting!
Comment 4 Andre Klapper maemo.org 2010-04-12 15:24:58 UTC
This has been fixed for the next public update (PR1.2).

To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/